| Method | URI | Description |
|---|---|---|
| PUT | /v2/{tenant_id}/snapshots/{snapshot_id}{?display_description,display_name} | Updates a specified snapshot. |
Normal response codes: 200
This table shows the URI parameters for the update snapshot request:
| Name | Type | Description |
|---|---|---|
| String | The unique identifier of the tenant or account. |
| UUID | The unique identifier of an existing snapshot. |
This table shows the query parameters for the update snapshot request:
| Name | Type | Description |
|---|---|---|
| String (Optional) | Describes the snapshot. |
| String (Optional) | The name of the snapshot. |
Example 3.25. Update snapshot: XML request
<?xml version="1.0" encoding="UTF-8"?>
<snapshot
xmlns="http://docs.openstack.org/openstack-block-storage/2.0/content"
display_name="snap-002" display_description="This is yet, another snapshot."/>
Example 3.26. Update snapshot: JSON request
{
"snapshot":{
"display_name":"snap-002",
"display_description":"This is yet, another snapshot."
}
}
This operation does not require a request body.
Example 3.27. Update snapshot: XML response
<?xml version='1.0' encoding='UTF-8'?>
<snapshot
xmlns:os-extended-snapshot-attributes="http://docs.openstack.org/openstack-block-storage/2.0/content/Extended_Snapshot_Attributes.html"
status="available"
display_description="This is yet, another snapshot"
created_at="2013-02-20T08:11:34.000000"
volume_id="2402b902-0b7a-458c-9c07-7435a826f794"
size="1"
id="4b502fcb-1f26-45f8-9fe5-3b9a0a52eaf2"
display_name="vol-002"
os-extended-snapshot-attributes:project_id="0c2eba2c5af04d3f9e9d0d410b371fde"
os-extended-snapshot-attributes:progress="100%">
<metadata/>
</snapshot>
Example 3.28. Update snapshot: JSON response
{
"snapshot":{
"created_at":"2013-02-20T08:11:34.000000",
"display_description":"This is yet, another snapshot",
"display_name":"vol-002",
"id":"4b502fcb-1f26-45f8-9fe5-3b9a0a52eaf2",
"size":1,
"status":"available",
"volume_id":"2402b902-0b7a-458c-9c07-7435a826f794"
}
}This operation does not return a response body.

